Subject: Re: IPTV is a Multicast-based VOD tool

From: "NewComer" <[email-masked]>
Date: Mon, 20 Nov 2000 11:26:01 +0800

> The right thing to summarize the above is to say
> "pimd doesn't work under Linux", because for tools like MGEN there
> is no need for any explicit support :)
> 
> What version of the Linux kernel do you use? A silly question,
> but could you confirm that you have explicitly enabled PIMv2 in your
> kernel configuration.
> I don't have Linux on my testbed to verify it personally, but I have
> received positive responses from other people that pimd worked for
> them under Linux.
> 
> Also, did you have success with pimdd (PIM-DM) on Linux? The PIM-DM
> protocol, the implementation, and the configuration are simpler than
> PIM-SM, so it may worth giving it a try.
> 
> Regards,
> Pavlin

My version of Linux kernel is 2.2.12-20. I confirm i enabled PIMv2.(if not, the compiling could not succeed)

I tried stand-alone version of pimdd for DM (http://antc.uoregon.edu/GATED/)on linux. The big problem was that it could not be compiled successfully. It prompted that it need some "include" files for LINUX.

The current thing is that I can't choose the version of PIMD related to GateD5.0. We can't get the GateD5.0. We only have GateD3.6(public Release)